using System;

internal sealed class Delegate20 : MulticastDelegate
{
	public extern void Invoke(object object_0, object object_1, Delegate delegate_0);

	public static void smethod_0(object object_0, object object_1, Delegate delegate_0, Delegate20 delegate20_1)
	{
		delegate20_1(object_0, object_1, delegate_0);
	}

	public extern Delegate20(object object_0, IntPtr intptr_0);

	static Delegate20()
	{
		Class10.smethod_13(typeof(Delegate20).TypeHandle);
	}

	internal static Delegate20 delegate20_0;
}
